Subject: RE: AVP alignment

From: <[email-masked]>
Date: Thu, 21 Aug 2003 13:04:15 +0300

I would also suggest that we take the same approach than in 
Diameter and also specify that the AVP header is transmitted 
in network byte order. Actually the draft 17 says something 
like this:

   "Each AVP of type OctetString MUST be padded to align on a 32-bit
   boundary, while other AVP types align naturally. A number of zero-
   valued bytes are added to the end of the AVP Data field till a word
   boundary is reached. The length of the padding is not reflected in
   the AVP Length field."

- Dan

> -----Original Message-----
> From: ext Ralph Droms [mailto:[email-masked]]
> Sent: 20 August, 2003 23:45
> To: [email-masked]
> Subject: Re: AVP alignment
> 
> 
> Our experience with implementations of DHCP is that alignment 
> of AVPs (DHCP
> options) isn't an important issue...
> 
> - Ralph
> 
> At 01:24 PM 8/20/2003 -0700, Yoshihiro Ohba wrote:
> >The current PANA specification does not specify a rule to align AVPs.
> >I think we should specify something about this.  I'd suggest 
> using the
> >32-bit alignment rule as Diameter does.  Here is the suggested text
> >(borrowed from Diameter speicfication):
> >
> >  "Each AVP MUST be padded to align on a 32-bit boundary. A 
> number of zero-
> >   valued bytes are added to the end of the AVP Data field 
> till a word
> >   boundary is reached. The length of the padding is not reflected in
> >   the AVP Length field."
> >
> >
> >Yoshihiro Ohba
> >
> > 
> >
> 
>